%this function returns the critical niche depth
function y=collapse(x_edge,p_b,T_ice,T_b,z_top)

%global parameter
g=9.81;
% 
% % physical properties of the system
% p_b=1400; % density of ice bluffs. in kg/m3
% T_ice=1e4;
% T_b=2e5;

%geomtry
% z_top=5; %height of the ice bluff
z_p=0; % niche point 
i=0;
counter=0;
func1=@(x)x_p-x;
i=0;

for x_p=0:.01:x_edge
    i=i+1;
    counter(i)=i+1;
    func1=@(x)x_p-x;
    z=integral(func1,0,x_p);
    T_d(i)=p_b*g*(z_top-z_p)*z;     
    T_r(i)=0.5*p_b*g*(z_top-z_p)*((x_p-x_edge)).^2;
    T_i(i)=T_ice*(x_edge-x_p)*(z_top-z_p);
    T_f(i)=T_b*integral(func1,x_edge,x_p);  
    Result(i)=T_r(i)+T_i(i)+T_f(i)-T_d(i);
    if Result(i)<0
        break;
    end
end
y=x_p;
end
