%this script will read the wind.dat file 
function [x y]=wind(dt)
%read from wind.dat file
filename2 = 'wind.dat';
M2=csvread(filename2,1,0);%this will read from row 2

% %this will print first column ( in x axis) vs the second column of the matrix
% % now we need to interpolate between the values of time so that PDE can work
dt=600;
end_t=max(M2(:,1));
tq(1)=0;
for j=1:1:(end_t/dt)
    tq_timer(j+1)=j; % this will store run number of the time
    tq(j+1)=tq(j)+dt; % this will store the time-th value of the run number
end


% %this will be my time grid points
uq1 = interp1(M2(:,1),M2(:,2),tq); %uq1 id the wind speed values, tq is the time axis

x=tq;
y=uq1;

end

