% this function will read the bathymetry from bath.dat file 
% calculated output will be water level rising
function [x,y]=f_bath(filename)

%global parameters
g=9.81;

%read from bath.dat file
% filename = 'bath.dat';
M=csvread(filename,1,0);%this will read from row 2
% plot(M(:,1),M(:,2))
% hold on;
%this will print first column ( in x axis) vs the second column of the matrix
% now we need to interpolate between the values so that PDE can work
deep_sea=2000;
dx=1;
xq=0:dx:deep_sea;


%this will be my grid points
vq1 = interp1(M(:,1),M(:,2),xq); %vq1 id the bathmetric values, xq is the x axis
y=vq1;
x=xq;
end





